import 'package:flutter_test/flutter_test.dart';

import 'package:event_base/event_utils.dart';

void main() {
  test('createEventTypes', () {
  	var eventTypes1 = createEventTypes(names: ['Action', 'Load', 'Destroy'], prefix: 'e');
  	expect(eventTypes1, {
  		'Action': 'e0',
  		'Load': 'e1',
  		'Destroy': 'e2'
  	});
  	var eventTypes2 = createEventTypes(names: ['Destroy', 'Action', 'Load'], prefix: 'e');
  	expect(eventTypes2, {
  		'Destroy': 'e0',
  		'Action': 'e1',
  		'Load': 'e2'
  	});
  });
}
