class IdGenerator {

	int serialNumber;
	String prefix;

	IdGenerator({
		this.serialNumber: 0,
		this.prefix: 'o'
	}) {

	}

	setIdPrefix(prefix) {
		this.prefix = prefix;
	}

	genId() {
		var newId = this.serialNumber;
        this.serialNumber++;
        return this.prefix + newId.toRadixString(16);
	}

	reset() {
		this.serialNumber = 0;
	}

}
