import 'package:flutter_test/flutter_test.dart';

import 'package:event_base/name_generator.dart';

void main() {
  test('genName', () {
    final nameGenerator = NameGenerator();
    expect(nameGenerator.genName(), 'Name1');
    expect(nameGenerator.genName(), 'Name2');
    expect(nameGenerator.genName(), 'Name3');
    expect(nameGenerator.genName(), 'Name4');
    expect(nameGenerator.genName(), 'Name5');
    expect(nameGenerator.genName(), 'Name6');
    expect(nameGenerator.genName(), 'Name7');
    expect(nameGenerator.genName(), 'Name8');
    expect(nameGenerator.genName(), 'Name9');
    expect(nameGenerator.genName(), 'Name10');
  });

  test('reset', () {
  	final nameGenerator = NameGenerator();
    expect(nameGenerator.genName(), 'Name1');
    expect(nameGenerator.genName(), 'Name2');
    nameGenerator.reset();
    expect(nameGenerator.genName(), 'Name1');
  });
}
