import 'package:flutter_test/flutter_test.dart';
import 'package:event_base/object_utils.dart';

void main() {
  test('createObjectTypes', () {
  	var objectTypes1 = createObjectTypes(names: ['Action', 'Load', 'Destroy'], prefix: 'e');
  	expect(objectTypes1, {
  		'Action': 'e0',
  		'Load': 'e1',
  		'Destroy': 'e2'
  	});
  	var objectTypes2 = createObjectTypes(names: ['Destroy', 'Action', 'Load'], prefix: 'e');
  	expect(objectTypes2, {
  		'Destroy': 'e0',
  		'Action': 'e1',
  		'Load': 'e2'
  	});
  });
}
